package controllers

import (
	"log"

	"git.joco.dk/sng/fermentord/internal/configuration"
	"git.joco.dk/sng/fermentord/pkg/temperature"
)

func ReloadConfiguration(config *configuration.ControllerConfig, ctrl *ChamberController) {
	log.Printf("Reloading configuration")

	temperature.ConfigUpdates <- []string{
		config.Sensors.Ambient,
		config.Sensors.Chamber,
		config.Sensors.Wort,
	}

	ctrl.ConfigUpdates <- *config
}
